Subject: Re: [bug#49946] [PATCH 08/31] gnu: node: Patch /usr/bin/env in node-gyp.

From: Maxime Devos <[email-masked]>
Date: Mon, 27 Sep 2021 12:11:21 +0200

Philip McGrath schreef op zo 26-09-2021 om 18:02 [-0400]:
> Looking at `gnu-build-system`, it seems that the `'patch-shebangs` phase 
> only operates on files installed in the "/bin" and "/sbin" 
> subdirectories of the package's outputs. That restriction doesn't make 
> sense to me in general: for instance, what about "/libexec"?

'libexec' is included on core-updates{,-frozen}.  I believe the idea of the
restriction is to avoid patching too much.  E.g., "autoconf" has a file
share/autoconf/build-aux/config.guess with a #!/bin/sh shebang.  It should
not be patched, otherwise tarballs created with "make dist" would include
a store path and hence be Guix-specific and architecture-specific.

Greetings,
Maxime.